Classes | Typedefs | Enumerations
OdfDocumentHandler.hxx File Reference
`#include <librevenge/librevenge.h>`
`#include "libodfgen-api.hxx"`

Go to the source code of this file.

## Classes
class | OdfDocumentHandler
| XML writer. More...

## Typedefs
typedef bool(* | OdfEmbeddedObject) (const librevenge::RVNGBinaryData &data, OdfDocumentHandler *pHandler, const OdfStreamType streamType)
| Handler for embedded objects. More...
typedef bool(* | OdfEmbeddedImage) (const librevenge::RVNGBinaryData &input, librevenge::RVNGBinaryData &output)
| Handler for embedded images. More...

## Enumerations
enum | OdfStreamType { ODF_FLAT_XML, ODF_CONTENT_XML, ODF_STYLES_XML, ODF_SETTINGS_XML, ODF_META_XML, ODF_MANIFEST_XML }
| Type of ODF content a generator should produce. More...

## Typedef Documentation

## ◆ OdfEmbeddedImage

typedef bool(* OdfEmbeddedImage) (const librevenge::RVNGBinaryData &input, librevenge::RVNGBinaryData &output)

Handler for embedded images.

This is also (mis)used for embedded fonts, to avoid API change. In this case the output format must be TTF.

Parameters

  [in] | input | the image's data
  [in] | output | the same image in format suitable for the used OdfDocumentHandler.

## ◆ OdfEmbeddedObject

typedef bool(* OdfEmbeddedObject) (const librevenge::RVNGBinaryData &data, OdfDocumentHandler *pHandler, const OdfStreamType streamType)

Handler for embedded objects.

Parameters

  [in] | data | the object's data
  [in] | pHandler | the current OdfDocumentHandler
  [in] | streamType | type of the object

## Enumeration Type Documentation

## ◆ OdfStreamType

enum OdfStreamType

Type of ODF content a generator should produce.

See also
  OdgGenerator, OdpGenerator, OdtGenerator

Enumerator
ODF_FLAT_XML |
ODF_CONTENT_XML |
ODF_STYLES_XML |
ODF_SETTINGS_XML |
ODF_META_XML |
ODF_MANIFEST_XML |